ANNIE - Support #25245

/annie app and data ownership and cleanup
11/24/2020 12:53 PM - Arthur Kreymer

Status: Resolved Start date: 11/24/2020
Priority: Normal Due date: 11/25/2020
Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 1.00 hour
Target version: Spent time: 0.90 hour
Description

History

#1 - 11/24/2020 01:01 PM - Arthur Kreymer
- Estimated time set to 1.00 h

- % Done changed from 0 to 10

- Assignee set to Arthur Kreymer

- Status changed from New to Assigned

- Due date set to 11/25/2020

/annie/data and /annie/root have permssions 777

The users subdirectories similiary have permissions 775.
This allows anyone to write at the those levels.

This is not safe, and has led to stray files and directories.

#2 - 11/24/2020 01:23 PM - Arthur Kreymer

- Status changed from Assigned to Work in progress

| have changed /annie/app and data permissions to 755.
| have changed the users directory permissions to 755.
| have changed ownership of /annie/*/users from ecatanom to anniepro

#3 - 11/24/2020 01:27 PM - Arthur Kreymer
- % Done changed from 10 to 70

The following /annie/app/users areas have a mismatched name and owner.

drwxr-xr-x 2 9313 annie 2048 Jun 16 2016 agao/
drwxr-xr-x 2 9467 annie 2048 May 21 2015 mlong/
drwxrwxr-x 48 etiras annie 10240 Nov 4 04:09 mnieslon/
drwxr-xr-x 6 sdeng annie 2048 Apr 20 2018 MrdTrackLib/
drwxr-xr-x 2 9467 annie 2048 Jun 8 2016 pweather/

The following /annie/app/users files seem to be stray

mw-— 1nav  annie 0 Nov 18 15:19 echo

drwxr-xr-x 3 moflaher annie 2048 Dec 1 2016 general/

rw-rw—+- 1 gardiner annie 1527478 Mar 21 2017 old_plots.tar.gz
-pw—f—- 1 pershint annie 1685 Mar 11 2020 TriggerDataPhll_orig.h

The following /annie/data/users areas have a mismatched name and owner.
drwxr-xr-x 2 9313 annie 2048 Jun 16 2016 agao/

drwxr-xr-x 2 nfsnobody nfsnobody 2048 Jun 22 2015 tkrennri/

drwxr-xr-x 2 9467 annie 2048 May 21 2015 mlong/

drwxrwxr-x 3 etiras annie 2048 Jul 30 2018 mnieslon/

drwxr-xr-x 2 9467 annie 2048 Jun 8 2016 pweather/

The following /annie/data/users files seem to be stray
-rwxrwxr-x 1 wetstein annie 65 Jun 23 2016 setup.sh*

#4 - 11/24/2020 02:14 PM - Arthur Kreymer
- % Done changed from 70 to 100

| used root@if-admin-annie to correct user directory ownerships.

| removed the empty app/users/echo file.
| moved the stray app/users files into their owners directories

| removed the empty /annie/data/.Trash* directories
| moved the stray data/users file into its owners directory

#5 - 11/24/2020 02:15 PM - Arthur Kreymer

- Status changed from Work in progress to Resolved
